Skip to main content
GET
/
v1
/
outputs
/
{group_id}
Get outputs for a scraping group
curl --request GET \
  --url https://api.reworkd.dev/v1/outputs/{group_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.reworkd.dev/v1/outputs/{group_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.reworkd.dev/v1/outputs/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "metadata": {
    "next_url": "https://api.reworkd.dev/v1/items?cursor=2612294",
    "next_cursor": 2612294
  },
  "items": [
    {
      "source_url": "<string>",
      "data": {},
      "id": 123,
      "output_id": "<string>",
      "root_job_id": "<string>",
      "create_date": "<string>",
      "update_date": "<string>",
      "last_scraped_date": "<string>",
      "key_hash": "<string>",
      "value_hash": "<string>",
      "is_approved": true,
      "tags": {},
      "files": [
        {
          "id": "<string>",
          "field": "<string>",
          "url_etag_hash": "<string>",
          "s3_key": "<string>",
          "s3_url": "<string>",
          "source_url": "<string>",
          "create_date": "<string>",
          "file_url": "<string>",
          "file_type": "<string>",
          "file_checksum": "<string>",
          "file_metadata": {}
        }
      ]
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

group_id
string
required

ID of the scraping group you want to fetch outputs for. This can be found on the groups page in the individual group card.

Query Parameters

job_id
string | null

ID of the root scraping job to filter outputs by. Useful when you need to fetch results from a specific domain or data source within a group. When omitted, outputs from all jobs in the group will be returned.

Example:

"03583f9c-6c90-4f3c-9afd-186258d6f4d6"

created_after
string<date-time> | null

Filter outputs to only include those created or updated on or after this timestamp. Accepts ISO 8601 format (YYYY-MM-DD or YYYY-MM-DDTHH:MM:SSZ). Essential for incremental data syncing to avoid fetching the entire dataset on each request.

Example:

"2025-01-15T10:00:00Z"

url
string | null

Complete URL to fetch outputs for, including protocol and path. Must match exactly the URL that was processed by the scraper.

Example:

"https://www.example.com/product/product_id_123"

limit
integer
default:10

Number of results to return per page

Required range: 1 <= x <= 1000
cursor
integer
default:0

Cursor to paginate through results

Required range: x >= 0
country
string | null

Name of the country to filter by (eg: United States)

Example:

"United States"

region
string | null

ISO 3166-2 code of the region to filter by (eg: US-CA)

Example:

"US-CA"

Response

Successful Response

metadata
PaginatedMetadata · object
required
items
Output · object[]
required